iPhone Screenshots

Description

The JBL Connect app works with JBL Flip 5, Flip 4, Flip 3, Charge 4, Charge 3, Pulse 4, Pulse 3, Pulse 2, Xtreme 2, Xtreme and Boombox. Use the JBL Connect app for speaker configuration and software upgrade. iPhone 5 or newer is required for compatibility with JBL Pulse 4, Pulse 3 and Pulse 2.

What’s New

Version 4.6.307

Fix firmware upgrade notification bug.

Ratings and Reviews

2.7 out of 5
11 Ratings

11 Ratings

ZemljakS ,

Connect+

When can we expect upgrade to connect+ protocol for the JBL Xtreme or should I just throw it away? It is not connectable with other JBL speakers on newer protocol 😠

Omcpero ,

Not connecting

Well, it is not connecting to my Boombox from my Xs iphone (ios 12.4)..

Information

Provider
Harman International Industries
Size
183.5 MB
Category
Music
Compatibility

Requires iOS 9.0 or later. Compatible with iPhone, iPad and iPod touch.

Languages

English, Dutch, French, German, Italian, Japanese, Korean, Portuguese, Russian, Simplified Chinese, Spanish

Age Rating
4+
Copyright
Price
Free

Supports

  • Family Sharing

    Up to six family members will be able to use this app with Family Sharing enabled.

More By This Developer

You May Also Like